Update a song
PATCH /api/songs/{id}
PATCH
/api/songs/{id}
Optimistic locking via baselineUpdatedAt. Returns 409 with serverVersion if the row has changed.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Request Body
Section titled “Request Body ”object
id
string format: uuid
title
string
artist
string
key
string
tempo
integer
duration
integer
content
string
notes
string
timeSignature
string
leadVocal
string
infoPa
string
mediaUrl
string
tags
Array<string>
midiClipPath
string
midiClipName
string
midiClipDeviceId
string format: uuid
midiClipLoopCount
integer
twoColumnLayout
boolean
leadSheetPath
string
leadSheetType
string
leadSheetUploadedAt
string format: date-time
stepsEnabled
boolean
clickTrackEnabled
boolean
backingTrackPath
string
backingTrackName
string
backingTrackUploadedAt
string format: date-time
backingTrackLoopCount
integer
preferredRecordingId
string format: uuid
key
additional properties
Responses
Section titled “ Responses ”Updated
object
ok
required
boolean
data
Invalid input
object
ok
required
boolean
error
required
string
code
string
Not found
object
ok
required
boolean
error
required
string
code
string
Conflict
object
ok
required
boolean
error
required
string
code
required
string
serverVersion
Server error
object
ok
required
boolean
error
required
string
code
string